public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joshua Kinard" <kumba@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-kernel/mips-sources/
Date: Sun, 13 Oct 2019 01:53:27 +0000 (UTC)	[thread overview]
Message-ID: <1570930720.c4ee012c2522cb7d0bb79024bd7d14f49de5e460.kumba@gentoo> (raw)

commit:     c4ee012c2522cb7d0bb79024bd7d14f49de5e460
Author:     Joshua Kinard <kumba <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 01:38:40 2019 +0000
Commit:     Joshua Kinard <kumba <AT> gentoo <DOT> org>
CommitDate: Sun Oct 13 01:38:40 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4ee012c

sys-kernel/mips-sources: Fix issue in src_unpack when no USE flags are set

Also fix a minor grammar issue in show_ip27_info()

Signed-off-by: Joshua Kinard <kumba <AT> gentoo.org>
Package-Manager: Portage-2.3.76, Repoman-2.3.17

 sys-kernel/mips-sources/mips-sources-4.19.78.ebuild | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

diff --git a/sys-kernel/mips-sources/mips-sources-4.19.78.ebuild b/sys-kernel/mips-sources/mips-sources-4.19.78.ebuild
index c2f35b632ff..48845501865 100644
--- a/sys-kernel/mips-sources/mips-sources-4.19.78.ebuild
+++ b/sys-kernel/mips-sources/mips-sources-4.19.78.ebuild
@@ -188,7 +188,7 @@ show_ip22_info() {
 
 show_ip27_info() {
 	echo -e ""
-	ewarn "IP27 on the Origin 2k/Onyx2 systems may be prone to sudden hard lockups."
+	ewarn "IP27 Origin 2k/Onyx2 systems may be prone to sudden hard lockups."
 	ewarn "The exact trigger is unknown at this time."
 	echo -e ""
 }
@@ -318,18 +318,16 @@ src_unpack() {
 	for x in {ip27,ip28,ip30}; do
 		use ${x} && v="${v}.${x}" && break
 	done
-	mv "${WORKDIR}/linux-${fkv/_/-}" "${WORKDIR}/linux-${v}" || die
-	S="${WORKDIR}/linux-${v}"
+	local old="${WORKDIR}/linux-${fkv/_/-}"
+	local new="${WORKDIR}/linux-${v}"
+	if [ "${old}" != "${new}" ]; then
+		mv "${old}" "${new}" || die
+	fi
+	S="${new}"
 
 	# Set the EXTRAVERSION to linux-VERSION-mipsgit-GITDATE
 	EXTRAVERSION="${EXTRAVERSION}-gentoo-mips"
 	unpack_set_extraversion
-#	local old="${WORKDIR}/linux-${fkv/_/-}"
-#	local new="${WORKDIR}/linux-${v}"
-#	if [ "${old}" != "${new}" ]; then
-#		mv "${old}" "${new}" || die
-#	fi
-#	S="${new}"
 }
 
 src_prepare() {


             reply	other threads:[~2019-10-13  1:53 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-13  1:53 Joshua Kinard [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-04 11:18 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/mips-sources/ Joshua Kinard
2024-02-25  7:34 Joshua Kinard
2023-03-07  3:20 Joshua Kinard
2022-09-25  7:18 Joshua Kinard
2022-01-29  2:03 Joshua Kinard
2021-12-02  0:05 Joshua Kinard
2021-08-14  4:04 Joshua Kinard
2021-08-13  4:59 Joshua Kinard
2021-08-13  4:52 Joshua Kinard
2021-07-31 22:30 Joshua Kinard
2021-06-19 22:28 Joshua Kinard
2021-06-14  6:34 Joshua Kinard
2021-06-07  3:44 Joshua Kinard
2021-06-07  2:42 Joshua Kinard
2021-05-21  4:48 Joshua Kinard
2021-03-28  4:18 Joshua Kinard
2021-02-20  2:56 Joshua Kinard
2020-12-30  1:32 Joshua Kinard
2020-12-30  0:49 Joshua Kinard
2020-11-12  6:12 Joshua Kinard
2020-11-12  1:35 Joshua Kinard
2020-07-18  3:07 Joshua Kinard
2020-02-08 14:18 David Seifert
2019-10-13  4:05 Joshua Kinard
2019-10-10  6:15 Joshua Kinard
2019-10-07  3:16 Joshua Kinard
2019-10-07  3:05 Joshua Kinard
2019-09-12  8:53 Joshua Kinard
2019-07-31  8:12 Joshua Kinard
2018-12-16  1:58 Joshua Kinard
2018-08-27  4:36 Joshua Kinard
2018-07-13 23:04 Thomas Deutschmann
2018-01-06 23:14 Joshua Kinard
2017-10-09 20:44 Joshua Kinard
2017-07-29 20:55 Joshua Kinard
2017-07-23 19:38 Joshua Kinard
2017-07-10  8:14 Joshua Kinard
2017-06-12  6:05 Joshua Kinard
2017-03-18 18:20 Joshua Kinard
2015-12-25  2:07 Joshua Kinard
2015-12-04 12:11 Joshua Kinard
2015-12-02 11:23 Joshua Kinard
2015-09-15  5:02 Joshua Kinard
2015-09-08  4:53 Joshua Kinard

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1570930720.c4ee012c2522cb7d0bb79024bd7d14f49de5e460.kumba@gentoo \
    --to=kumba@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox